Subject: [Sip] I-D ACTION:draft-ietf-sip-history-info-00.txt

From: [email-masked]
Date: Tue, 24 Jun 2003 07:00:47 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Working Group of the IETF.

	Title		: An Extension to the Session Initiation Protocol for 
                          Request History Information
	Author(s)	: M. Barnes
	Filename	: draft-ietf-sip-history-info-00.txt
	Pages		: 23
	Date		: 2003-6-23
	
This draft defines a standard mechanism for capturing the history 
information associated with a SIP request.  This capability enables 
many enhanced services by providing the information as to how and why 
a call arrives at a specific application or user.  This draft defines 
a new optional SIP header, History-Info, for capturing the history 
information in requests. A new option tag, HistInfo, to be included 
in the Supported header is defined to allow UAs to indicate whether 
the HistInfo should be returned in responses to a request which has 
captured the history information.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sip-history-info-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-sip-history-info-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-sip-history-info-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Mary Barnes" <[email-masked]>
Date: Tue, 24 Jun 2003 13:43:13 -0500

Hi all,

The most significant change to this version of the document (from
draft-barnes-sipping-history-info-02) was per the discussion at IETF-56 to
make the INDEX a MUST.  I see the only major open issue to be the security
solution, for which I do have a separate draft that I've submitted to the
SIPPING WG.  Since, it wasn't submitted until Sunday afternoon, it will
probably be a couple days before it appears.  For folks that would like to
review it now, it is cached on my server at:
http://home.attbi.com/~mbarnes42/IETF/draft-barnes-sipping-sec-inserted-info
-00.txt

This draft definitely needs more work, however, I think fundamental
agreement on the problem being solved and the approach detailed up to and
including section 3 is first necessary prior to completing section 4 and
beyond. 
Until the WG has agreed whether this document belongs in the SIP WG, I would
suggest questions/comments on the security draft be sent to the SIPPING WG
mailing list. 

Regards,
Mary H. Barnes
[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, June 24, 2003 6:01 AM
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-sip-history-info-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the Session Initiation Protocol Working Group
of the IETF.

	Title		: An Extension to the Session Initiation Protocol
for 
                          Request History Information
	Author(s)	: M. Barnes
	Filename	: draft-ietf-sip-history-info-00.txt
	Pages		: 23
	Date		: 2003-6-23

Send a message to:
	[email-masked].
In the body type:

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip